> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tessie.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Idles

> Returns the idles for a vehicle.

A vehicle is considered idle if not driving or charging.



## OpenAPI

````yaml get /{vin}/idles
openapi: 3.0.0
info:
  title: Tessie API
  version: 1.0.0
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  description: The Tesla management platform.
  contact:
    name: Tessie
    url: https://tessie.com
    email: support@tessie.com
  x-logo:
    url: ''
  termsOfService: https://tessie.com/terms
servers:
  - url: https://api.tessie.com
security:
  - bearerAuth: []
tags:
  - name: Driver Management
    description: Driver management endpoints
  - name: Telemetry Configuration
    description: Vehicle telemetry configuration endpoints
  - name: Vehicle Commands
    description: Vehicle command endpoints
  - name: Vehicle Data
    description: Vehicle data endpoints
paths:
  /{vin}/idles:
    parameters:
      - $ref: '#/components/parameters/vin'
    get:
      tags:
        - Vehicle Data
      summary: Get Idles
      description: |-
        Returns the idles for a vehicle.

        A vehicle is considered idle if not driving or charging.
      operationId: get-idles
      parameters:
        - $ref: '#/components/parameters/distance_format'
        - $ref: '#/components/parameters/format'
        - $ref: '#/components/parameters/timezone'
        - $ref: '#/components/parameters/from'
        - $ref: '#/components/parameters/to'
        - schema:
            type: number
            example: 37.4925
          in: query
          name: origin_latitude
          description: The latitude of the parking spot.
        - schema:
            type: number
            example: 121.9447
          in: query
          name: origin_longitude
          description: The longitude of the parking spot.
        - schema:
            type: number
            example: 80
          in: query
          name: origin_radius
          description: The radius from the parking spot, in meters.
        - schema:
            type: boolean
            default: false
          in: query
          name: exclude_origin
          description: Whether to include the parking spot.
        - $ref: '#/components/parameters/limit'
      responses:
        '200':
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/Idle'
              examples:
                Example 1:
                  value:
                    results:
                      - id: 1393231
                        started_at: 1626454383
                        ended_at: 1626461947
                        location: >-
                          8055 Dean Martin Drive, Las Vegas, Nevada 89139,
                          United States
                        latitude: 36.042928
                        longitude: -115.187801
                        starting_battery: 66
                        ending_battery: 63
                        rated_range_used: 8.29
                        climate_fraction: 1
                        sentry_fraction: 0
                        energy_used: 2.64
          description: Success
components:
  parameters:
    vin:
      name: vin
      description: The associated VIN.
      schema:
        type: string
      in: path
      required: true
      deprecated: false
      x-last-modified: 1643747623235
      example: 5YJXCAE43LF123456
    distance_format:
      name: distance_format
      in: query
      required: false
      schema:
        type: string
        default: mi
        enum:
          - mi
          - km
      description: Whether to return data in miles or kilometers.
    format:
      name: format
      in: query
      required: false
      schema:
        type: string
        enum:
          - json
          - csv
        default: json
      description: Whether to output the results in JSON or CSV.
    timezone:
      name: timezone
      in: query
      schema:
        type: string
        default: UTC
      description: The IANA timezone name.
    from:
      name: from
      description: The start of the timeframe. Unix timestamp in seconds.
      schema:
        type: number
      in: query
      required: false
      allowEmptyValue: false
      deprecated: false
      example: 1643747642
      x-last-modified: 1643747658888
    to:
      name: to
      description: The end of the timeframe. Unix timestamp in seconds.
      schema:
        type: number
      in: query
      required: false
      allowEmptyValue: false
      deprecated: false
      example: 1643747642
      x-last-modified: 1643747664858
    limit:
      name: limit
      description: The maximum number of results.
      schema:
        type: number
      in: query
      required: false
      allowEmptyValue: false
      deprecated: false
      example: 10
  schemas:
    Idle:
      description: ''
      type: object
      title: Idle
      properties:
        id:
          type: number
        started_at:
          type: number
        ended_at:
          type: number
        location:
          type: string
        latitude:
          type: number
        longitude:
          type: number
        starting_battery:
          type: number
        ending_battery:
          type: number
        rated_range_used:
          type: number
        climate_fraction:
          type: number
        sentry_fraction:
          type: number
        energy_used:
          type: number
      required:
        - id
        - started_at
        - ended_at
        - location
        - latitude
        - longitude
        - starting_battery
        - ending_battery
        - rated_range_used
        - climate_fraction
        - sentry_fraction
        - energy_used
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````